Skip to main content
This is a representation of a payment instruction model. When the Payment Instruction model is used as input, fields marked as REQUIRED are mandatory.
Refer to GET /metadata/beneficiary endpoint to identify valid beneficiary field combinations for a given country/currency combination.
Fields
string
The ID of the beneficiary’s bank account. When this is provided, beneficiary details like account number, beneficiary name should not be.
string
The ID of the beneficiary. When this is provided, beneficiary details like account number, beneficiary name should not be.
string
Account number. When this is provided, beneficiary_id, account_id should not be.
string
The bank address of the beneficiary. When this is provided, beneficiary_id, account_id should not be.
string
The bank code of the beneficiary (UK sort code, US ABA/FedWire, etc.). When this is provided, beneficiary_id, account_id should not be.
string
The bank country of the beneficiary in ISO 3166-1 format (two character alpha code). When this is provided, beneficiary_id, account_id should not be.
string
Name of the bank account holder. When this is provided, beneficiary_id, account_id should not be.
string
The beneficiary address. When this is provided, beneficiary_id, account_id should not be. (deprecated)*
string
The street name of the beneficiary.*
string
The building number of the beneficiary.*
string
The floor of the beneficiary.*
string
The apartment/office number of the beneficiary.*
string
required
The city of the beneficiary.*
string
The state/region of the beneficiary.*
string
The postcode of the beneficiary.*
string
required
The beneficiary country in ISO 3166-1 format (two character alpha code). When this is provided, beneficiary_id, account_id should not be.
string
The beneficiary name. When this is provided, beneficiary_id, account_id should not be.
string
Permanent reference to add to a beneficiary for all future payments. When this is provided, beneficiary_id, account_id should not be.
string
required
Acceptable values:
  • buy
  • sell
Direction field determines whether the payment_amount reflects the amount of currency to buy or amount of currency to sell. Example provided in notes.
string
Unique reference submitted by the client to identify the payment.
string
When this is provided, beneficiary_id, account_id should not be.
string
Unique Taxpayer Personal Identification Number for legal entities registered in Russia.
string
Tax ID for foreign legal entities in Russia.
string
required
Buy currency code ISO 4217
number
required
Buy amount
string
required
Payment reference
string
The purpose of payment is mandatory when the beneficiary account has specific currency types. See the section PurposeOfPayment for the currencies and their acceptable values.
string
required
Reason for trade. See ReasonForTradeValues for acceptable values.
string
20-digit code for Russian banks.
string
When this is provided, beneficiary_id, account_id should not be.
string
required
Type of trade. Acceptable values:
  • spot
string
required
Date of the payment (YYYY-MM-DD)
string
Code of currency transaction established by the Central Bank of Russia to describe the purpose of the payment.
* This field and the related rule becomes operational from October 2024. Further communication will follow over emails. Please note, it does not apply to Ebury Mass Payments customers in Production.
Response

Notes

Example: At the time of submission of mass-payment (POST /mass-payment) sell_currency field is set as GBP or trade_id provided contains sell_currency as GBP. In the payment instruction payment_currency is set as EUR, payment_amount is set as 100 and direction is set as sell.
In this case the client is giving an instruction to calculate EUR amount equivalent to 100 GBP. The payment_amount will be calculated based on the exchange rate of converting 100 GBP to EUR.